#!/bin/sh

add_fun(){
result="`$@ 2>&1`"
if [ $? -eq 1 ]; then
        if [ `echo "$result" | grep -c "already exist"` -eq 1 ]; then
                :
        else
                echo "$@";
        fi
fi
}

VCSHOME="${VCS_HOME:-/opt/VRTSvcs}"
ro=`${VCSHOME}/bin/haclus -value ReadOnly`
if [ $? -eq 0 ]; then
    if [ "$ro" -eq 1 ];
    then
        ${VCSHOME}/bin/haconf -makerw
    fi
else
    echo "Unable to add the MetroMirror, MetroMirrorSnap and GlobalMirror types, VCS is not running. Start VCS and execute the script /etc/VRTSvcs/conf/sample_metromirror/addMetroMirrorType.sh "
    exit 0;
fi

add_fun "${VCSHOME}/bin/hatype -add MetroMirror"
${VCSHOME}/bin/hatype -modify MetroMirror SupportedActions MMStatus failback PreSwitch
${VCSHOME}/bin/hatype -modify MetroMirror MonitorInterval 300
${VCSHOME}/bin/hatype -modify MetroMirror ActionTimeout 150
${VCSHOME}/bin/hatype -modify MetroMirror NumThreads 1
${VCSHOME}/bin/hatype -modify MetroMirror OpenTimeout 180
${VCSHOME}/bin/hatype -modify MetroMirror AgentDirectory "/opt/VRTSvcs/bin/MetroMirror"
${VCSHOME}/bin/hatype -modify MetroMirror ArgList DSCliHome HMC1 HMC2 User PasswdFile LocalStorageImageID RemoteStorageImageID VolIds DSMon AutoFailback
add_fun "${VCSHOME}/bin/haattr -add MetroMirror DSCliHome -string "/opt/ibm/dscli""
add_fun "${VCSHOME}/bin/haattr -add MetroMirror HMC1 -string"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror HMC2 -string"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror User -string admin"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror PasswdFile -string "~/dscli/security.dat""
add_fun "${VCSHOME}/bin/haattr -add MetroMirror LocalStorageImageID -string"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror RemoteStorageImageID -string"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror VolIds -string -vector"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror DSMon -integer 0"
add_fun "${VCSHOME}/bin/haattr -add MetroMirror AutoFailback -integer 1"
add_fun "${VCSHOME}/bin/haattr -add -temp MetroMirror VCSResLock -string"

add_fun "${VCSHOME}/bin/hatype -add MetroMirrorSnap"
${VCSHOME}/bin/hatype -modify MetroMirrorSnap MonitorInterval 300
${VCSHOME}/bin/hatype -modify MetroMirrorSnap ActionTimeout 150
${VCSHOME}/bin/hatype -modify MetroMirrorSnap NumThreads 1
${VCSHOME}/bin/hatype -modify MetroMirrorSnap OpenTimeout 180
${VCSHOME}/bin/hatype -modify MetroMirrorSnap AgentDirectory "/opt/VRTSvcs/bin/MetroMirror"
${VCSHOME}/bin/hatype -modify MetroMirrorSnap ArgList TargetResName OffRefresh
add_fun "${VCSHOME}/bin/haattr -add MetroMirrorSnap OffRefresh -integer 0"
add_fun "${VCSHOME}/bin/haattr -add -temp MetroMirrorSnap VCSResLock -string"

add_fun "${VCSHOME}/bin/hatype -add GlobalMirror"
${VCSHOME}/bin/hatype -modify GlobalMirror SupportedActions GMStatus failback PreSwitch GMStart GMStop ReportRPOData StartWriter GetCurrentRPO StartRPOComputation StopRPOComputation
${VCSHOME}/bin/hatype -modify GlobalMirror MonitorInterval 300
${VCSHOME}/bin/hatype -modify GlobalMirror ActionTimeout 150
${VCSHOME}/bin/hatype -modify GlobalMirror NumThreads 1
${VCSHOME}/bin/hatype -modify GlobalMirror OpenTimeout 180
${VCSHOME}/bin/hatype -modify GlobalMirror AgentDirectory "/opt/VRTSvcs/bin/GlobalMirror"
${VCSHOME}/bin/hatype -modify GlobalMirror ArgList DSCliHome HMC1 HMC2 User PasswdFile LocalStorageImageID LocalLSS RemoteStorageImageID RemoteLSS GMSession VolIds DSMon AutoFailback ComputeDRSLA
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror DSCliHome -string "/opt/ibm/dscli""
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror HMC1 -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror HMC2 -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror User -string admin"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror PasswdFile -string "~/dscli/security.dat""
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror LocalStorageImageID -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror LocalLSS -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror RemoteStorageImageID -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror RemoteLSS -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror GMSession -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror VolIds -string -vector"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror DSMon -integer 0"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror AutoFailback -integer 1"
add_fun "${VCSHOME}/bin/haattr -add -temp GlobalMirror VCSResLock -string"
add_fun "${VCSHOME}/bin/haattr -add GlobalMirror ComputeDRSLA -integer 0"
add_fun "${VCSHOME}/bin/haattr -add -temp GlobalMirror Tagging -boolean"
add_fun "${VCSHOME}/bin/haattr -add -static GlobalMirror RegList -keylist"
${VCSHOME}/bin/hatype -modify GlobalMirror RegList ComputeDRSLA

if [ $ro -eq 1 ];
then
        ${VCSHOME}/bin/haconf -dump -makero
else
        ${VCSHOME}/bin/haconf -dump
fi
